/*
* Chumby widget to interface with an MPD player on a Linux system.
* Version 1.0 by nick at vrtisworks dot com
* 
* The is a pretty basic widget that displays the current song playing on an
* MPD player.  It will also let you stop, pause, play, skip to the previous or
* the next song in the playlist.
* 
* Version 1.0 - "It works".. it's not necessarily a pretty face, or even pretty
*               code.  But it works in my configuration.
*/
class Chumby2MPD
{
	
	function Chumby2MPD(mc:MovieClip) {
		
		if (_root.serverurl==undefined) {
			_root.serverurl='http://192.168.0.20/musicmgr/chumbympd';
		}
		
		System.security.loadPolicyFile(_root.serverurl+'/chumby2mpd.xml');
				
		var myChumby = new ChumbySetup(mc);
		myChumby.cstitle='Chumby MPD Controler';
		myChumby.drawscreen();
		
		//Allow 5 song titles + bottom row for buttons & status
		var lineh:Number=(myChumby.csheight-myChumby.cstitleh)/8;
		
		var textStuff:TextBoxes = new TextBoxes();
		var statusbox:TextField = textStuff.simpleField(mc, myChumby,'statusText',(myChumby.cswidth/2-2),lineh);
		statusbox._x=myChumby.cswidth/2-1;
		statusbox._y=myChumby.csheight-lineh;
		statusbox.border=true;
		
		var song0box:TextField = textStuff.simpleField(mc, myChumby,'song0Text',(myChumby.cswidth-4),lineh);
		song0box._x=2;
		song0box._y=myChumby.cstitleh;
		song0box.border=true;
		var song1box:TextField = textStuff.simpleField(mc, myChumby,'song1Text',(myChumby.cswidth-4),lineh);
		song1box._x=2;
		song1box._y=myChumby.cstitleh+lineh;
		song1box.border=true;
		var song2box:TextField = textStuff.simpleField(mc, myChumby,'song2Text',(myChumby.cswidth-4),lineh);
		song2box._x=2;
		song2box._y=myChumby.cstitleh+lineh+lineh;
		song2box.border=true;
		var song3box:TextField = textStuff.simpleField(mc, myChumby,'song3Text',(myChumby.cswidth-4),lineh);
		song3box._x=2;
		song3box._y=myChumby.cstitleh+lineh+lineh+lineh;
		song3box.border=true;
		var song4box:TextField = textStuff.simpleField(mc, myChumby,'song4Text',(myChumby.cswidth-4),lineh);
		song4box._x=2;
		song4box._y=myChumby.cstitleh+lineh+lineh+lineh+lineh;
		song4box.border=true;
		var song5box:TextField = textStuff.simpleField(mc, myChumby,'song5Text',(myChumby.cswidth-4),lineh);
		song5box._x=2;
		song5box._y=myChumby.cstitleh+lineh+lineh+lineh+lineh+lineh;
		song5box.border=true;
		
		getStatus('');
		
		var buttonx:Number=6;
		var buttonwidth:Number=(myChumby.cswidth/2)/5;
		var buttonStuff:Buttons = new Buttons();
		var prevButton:MovieClip = buttonStuff.shapedButton(mc, 'prevbtn',15,10,5,
			StaticHelpers.WHITE,Buttons.UPPTS);
		prevButton._x = buttonx;
		prevButton._y = myChumby.csheight-lineh+3;
		prevButton.getStatus=getStatus;
		prevButton.onRelease = function () {
			//_root.statusText.text = 'Previous pressed';
			this.getStatus('previous');
		}
		buttonx=buttonx+buttonwidth;
		var stopButton:MovieClip = buttonStuff.shapedButton(mc, 'stopbtn',15,10,5,
			StaticHelpers.WHITE,Buttons.SQUARE);
		stopButton._x = buttonx;
		stopButton._y = myChumby.csheight-lineh+3;
		stopButton.getStatus=getStatus;
		stopButton.onRelease = function () {
			//_root.statusText.text = 'Stop pressed';
			this.getStatus('stop');
		}
			
		buttonx=buttonx+buttonwidth;
		var pauseButton:MovieClip = buttonStuff.shapedButton(mc, 'pausebtn',15,10,5,
			StaticHelpers.WHITE,Buttons.PAUSE);
		pauseButton._x = buttonx;
		pauseButton._y = myChumby.csheight-lineh+3;
		pauseButton.getStatus=getStatus;
		pauseButton.onRelease = function () {
			//_root.statusText.text = 'Pause pressed';
			this.getStatus('pause');
		}
		buttonx=buttonx+buttonwidth;
		var playButton:MovieClip = buttonStuff.shapedButton(mc, 'playbtn',15,10,5,
			StaticHelpers.WHITE,Buttons.RIGHTPTS);
		playButton._x = buttonx;
		playButton._y = myChumby.csheight-lineh+3;
		playButton.getStatus=getStatus;
		playButton.onRelease = function () {
			//_root.statusText.text = 'Play pressed';
			this.getStatus('play');
		}
		buttonx=buttonx+buttonwidth;
		var nextButton:MovieClip = buttonStuff.shapedButton(mc, 'nextbtn',15,10,5,
			StaticHelpers.WHITE,Buttons.DOWNPTS);
		nextButton._x = buttonx;
		nextButton._y = myChumby.csheight-lineh+3;
		nextButton.getStatus=getStatus;
		nextButton.onRelease = function () {
			//_root.statusText.text = 'Next pressed';
			this.getStatus('next');
		}
	}
	function getStatus(command:String) {
		trace ('Command='+command);
		var result_lv:LoadVars = new LoadVars();
		result_lv.onLoad = function(success:Boolean) {
			if (success) {
				_root.statusText.text = result_lv.state;
				_root.song0Text.text=result_lv.song0;
				_root.song1Text.text=result_lv.song1;
				_root.song2Text.text=result_lv.song2;
				_root.song3Text.text=result_lv.song3;
				_root.song4Text.text=result_lv.song4;
				_root.song5Text.text=result_lv.song5;
			} else {
				_root.statusText.text = "Error connecting to server.";
			}
		};
		var send_lv:LoadVars = new LoadVars();
		if (command.length>0) {
			send_lv.action = command;
		}
		trace (_root.serverurl);
		send_lv.sendAndLoad(_root.serverurl+'/chumby2mpd.php', result_lv, "GET");
		trace(send_lv.toString());
	}
		
	static function main(mc:MovieClip)
	{
		//All the real work is done in the class...
		var app = new Chumby2MPD(mc);

	}
}
