/*
 * Chumby Button utility class
 * The start of a collection of functions to create buttons that have text inside them.
 *
 * The function returns the button object that is created, so you can modify the
 * parameters after the major work of creating the button is done.
 * 
 * Version 1.0 - 01/07/08 - nick at vrtisworks.com
 * 
 */
 class Buttons {
	 
	static var UPPTS:Array = new Array(0.5,0,1,1,0,1,0.5,0);
	static var DOWNPTS:Array = new Array(0,0,1,0,0.5,1,0,0);
	static var RIGHTPTS:Array = new Array(0,0,1,0.5,0,1,0,0);
	static var LEFTPTS:Array = new Array(1,0,1,1,0,0.5,1,0);
	static var SQUARE:Array = new Array(0,0,1,0,1,1,0,1,0,0);
	static var PAUSE:Array = new Array(
		new Array(0,0,0.33,0,0.33,1,0,1,0,0), new Array(0.66,0,1,0,1,1,0.66,1,0.66,0));
	
	function shapedButton (mc:MovieClip, btnname:String, h:Number, 
		w:Number, r:Number, fillcolor:Number, pts:Array):MovieClip {
		mc.createEmptyMovieClip(btnname,mc.getNextHighestDepth());
		var newmc:MovieClip=mc[btnname];
		
		newmc.beginFill(fillcolor);
        newmc.moveTo(r, 0);
        newmc.lineTo(w+r, 0);
        newmc.curveTo(w+r, 0, w+r+r, r);
        newmc.lineTo(w+r+r, h+r);
        newmc.curveTo(w+r+r, h+r, w+r, h+r+r);
        newmc.lineTo(r, h+r+r);
        newmc.curveTo(r, h+r+r, 0, h+r);
        newmc.lineTo(0, r);
        newmc.curveTo(0, r, r, 0);
        newmc.endFill();

		if (pts[0] instanceof Array) {
			for (var x in pts) {
				newmc.beginFill(StaticHelpers.BLUE_2);
				var tmp:Array=pts[x];
				newmc.moveTo(tmp[0]*w+r,tmp[1]*h+5);
				for (var i:Number=2; i < tmp.length; i=i+2;) {
					newmc.lineTo(tmp[i]*w+5,tmp[i+1]*h+r);
				}
				newmc.endFill();
			}
		} else {
			newmc.beginFill(StaticHelpers.BLUE_2);
			newmc.moveTo(pts[0]*w+r,pts[1]*h+5);
			for (var i:Number=2; i < pts.length; i=i+2;) {
				newmc.lineTo(pts[i]*w+5,pts[i+1]*h+r);
			}
			newmc.endFill();
		}
		return newmc;
	}

	function roundedButton(mc:MovieClip,
		myChumby:ChumbySetup,
		btnname:String,
		btnradius:Number, 
		btncolor:Number,
		btntext:Object):MovieClip {
        

		mc.createEmptyMovieClip(btnname,mc.getNextHighestDepth());
		var newbtn:MovieClip=mc[btnname];
		var tmptb:TextBoxes = new TextBoxes();
		var stxt:TextField=tmptb.centeredField(newbtn,myChumby,btnname+'_text',String(btntext));
		stxt._y=btnradius;
		stxt._x=btnradius;
		var width = stxt._width+btnradius+btnradius;
		var height = stxt._height+btnradius+btnradius;
	
		newbtn.beginFill(btncolor);
        newbtn.moveTo(btnradius, 0);
        newbtn.lineTo(width - btnradius, 0);
        newbtn.curveTo(width, 0, width, btnradius);
        newbtn.lineTo(width, btnradius);
        newbtn.lineTo(width, height - btnradius);
        newbtn.curveTo(width, height, width - btnradius, height);
        newbtn.lineTo(width - btnradius, height);
        newbtn.lineTo(btnradius, height);
        newbtn.curveTo(0, height, 0, height - btnradius);
        newbtn.lineTo(0, height - btnradius);
        newbtn.lineTo(0, btnradius);
        newbtn.curveTo(0, 0, btnradius, 0);
        newbtn.lineTo(btnradius, 0);
        newbtn.endFill();
		return newbtn;
	}
}
