/* Basic Chumby setup.  Sets up some defaults for screen size, colors, other handy information.
* You need to call this before you do most anything to the Chumby screen.
* Calling 'drawscreen' early in the setup makes sure that there is something on the screen.
* Otherwise all the size information is zeros/undefined.
* 
* Version 1.0 - 01/07/08 - nick at vrtisworks.com
* 
*/
class ChumbySetup {
		
	//These should probably be private variables with getters/setters, but I'm lazy.
	var cswidth:Number = 320;		//Main Screen Dimensions
	var csheight:Number = 240;
	var csbg:Number;		//Default background color.
	var cstitle:String = 'FlashDevelop Widget Sample';
	var cstexth:Number = 16;		//Default height for text.
	var cstitleh:Number = cstexth+4;
	var csfont:String = 'library.Monofont.ttf';
	private var parent:MovieClip;
	
	function ChumbySetup(mc:MovieClip) {
		parent=mc;		//All the creation really needs to do is save the parent movie clip.
		csbg=StaticHelpers.BLUE_3;
	}
	//Call drawscreen after you have modified any of the default settings.
	function drawscreen() {
		
		//Fill the screen with the defined background color..
		StaticHelpers.drawRect(parent,0,0,cswidth,csheight,csbg);
		//Add the title if one is defined
		if (cstitle != undefined) {
			var fmt:TextFormat = new TextFormat(csfont, cstexth, StaticHelpers.BLACK);
			parent.createTextField("title_tf", parent.getNextHighestDepth(), 2, 0, cswidth-4, cstitleh);
			var title_tf:TextField = parent.title_tf;
			title_tf.text = cstitle;
			title_tf.selectable = false;
			title_tf.embedFonts = true;
			title_tf.setTextFormat(fmt);
			title_tf.background = true;
			title_tf.backgroundColor = StaticHelpers.BLUE_1;
			title_tf.border = true;
			title_tf.borderColor = StaticHelpers.WHITE;
		}
	}
}