/*
* Configuration widget for the Chumby as an MPD controller....
* V1.0 - nick at vrtisworks dot com
* Based on the FD_SimpleBanner_Config widget
* 
* It is a pretty basic application.  It allows you to use the 'customize' link on the channel
* setup on the Chumby site to enter the full URL to the web server (include the http://, do NOT
* include the trailing slash or the chumby2mpd.php.
* 
* This code is based on a number of Chumby examples including the samples put together by
* pete@hoffswell.com, the official Chumby samples, and the Adobe samples.
* 
* Here is the Adobe LiveDocs link to the documentation on ActionScript 2.  The section on
* Learning ActionScript 2.0 in Flash has some good information and references.
* http://livedocs.adobe.com/flash/8/main/wwhelp/wwhimpl/js/html/wwhelp.htm?href=Part4_ASLR2.html
*/
class Chumby2MPD_Config
{
	
	function Chumby2MPD_Config(mc:MovieClip) {
		
		var widgetparms:String = 'Replace with web server URL';
		
		var myChumby = new ChumbySetup(mc);
		myChumby.cstitle='Chumby MPD Player Configuration Widget';
		myChumby.drawscreen();
		
		var textStuff:TextBoxes = new TextBoxes();
		var textbox:TextField = textStuff.simpleField(mc, myChumby,'bannerText',(myChumby.cswidth-12),myChumby.cstexth+4);
		textbox._x=6;
		textbox._y=myChumby.csheight/3;
		//We need to convert this to an input field so that they can change it.
		textbox.border=true;
		textbox.selectable=true;
		textbox.type='input';
		textbox['widgetparms']= {};	//An empty object with no parameters so far...
		var helpChumby = new ConfigHelpers();
		//Get the banner text from the Chumby site...
		helpChumby.getWidgetParameters(showParms);
		
		var buttonStuff:Buttons = new Buttons();
		var okButton:MovieClip = buttonStuff.roundedButton(mc, myChumby,
			'okbtn',5,StaticHelpers.BLUE_2,'OK');
		okButton._x = (myChumby.cswidth-okButton._width)/2;
		okButton._y = myChumby.csheight*2/3;
		okButton._visible=false;	//We don't want the button visable until we have the parameter
		okButton.onRelease = function () {
			trace ('OK pressed');
			_root.bannerText.widgetparms['serverurl']=_root.bannerText.text;
			helpChumby.setWidgetParameters(this.showParms,_root.bannerText.widgetparms);
			helpChumby.chumbyExit();
		}
	}
	
	function showParms(myparms:Object) {
		trace ('showParms called');
		var plist:String = '';
		for (var v in myparms) {
			plist=plist+':'+v+'='+myparms[v]+': ';
		}
		trace (plist);
		if (!myparms['error']) {
			_root.okbtn._visible=true;
			_root.bannerText.widgetparms=myparms;
			//Make sure that it is defined
			if (myparms['serverurl']) {
				_root.bannerText.text = myparms['serverurl'];
			} else {
				_root.bannerText.text = 'Enter URL (no trailing slash)';
			}
		} else {
				_root.bannerText.text = 'Error loading the parameter list';
		}
	}
		
	static function main(mc:MovieClip)
	{
		//All the real work is done in the 
		var app = new Chumby2MPD_Config(mc);

	}
}
