/*
 * Chumby Button utility class
 * The start of a collection of functions to create buttons that have text inside them.
 *
 * The function returns the button object that is created, so you can modify the
 * parameters after the major work of creating the button is done.
 * 
 * Version 1.0 - 01/07/08 - nick at vrtisworks.com
 * 
 */
 class Buttons
{
	function roundedButton(mc:MovieClip,
		myChumby:ChumbySetup,
		btnname:String,
		btnradius:Number, 
		btncolor:Number,
		btntext:String):MovieClip {
        
		var tmptb:TextBoxes = new TextBoxes();

		mc.createEmptyMovieClip(btnname,mc.getNextHighestDepth());
		var newbtn:MovieClip=mc[btnname];
		var stxt:TextField=tmptb.centeredField(newbtn,myChumby,btnname+'_text',btntext);
		stxt._y=btnradius;
		stxt._x=btnradius;
		
		var width:Number = stxt._width+btnradius+btnradius;
		var height:Number = stxt._height+btnradius+btnradius;
		var info:String = StaticHelpers.dumpVar(tmptb);
		trace (info);


		newbtn.beginFill(btncolor);
        newbtn.moveTo(btnradius, 0);
        newbtn.lineTo(width - btnradius, 0);
        newbtn.curveTo(width, 0, width, btnradius);
        newbtn.lineTo(width, btnradius);
        newbtn.lineTo(width, height - btnradius);
        newbtn.curveTo(width, height, width - btnradius, height);
        newbtn.lineTo(width - btnradius, height);
        newbtn.lineTo(btnradius, height);
        newbtn.curveTo(0, height, 0, height - btnradius);
        newbtn.lineTo(0, height - btnradius);
        newbtn.lineTo(0, btnradius);
        newbtn.curveTo(0, 0, btnradius, 0);
        newbtn.lineTo(btnradius, 0);
        newbtn.endFill();
		return newbtn;
	}
}
