/*
 * Chumby text utility class
 * The start of a collection of functions to create simple text boxes..
 *
 * The function returns the button object that is created, so you can modify the
 * parameters after the major work of creating the button is done.
 * 
 * Version 1.0 - 01/07/08 - nick at vrtisworks.com
 * 
 */
class TextBoxes {
	
	
	function simpleField(mc:MovieClip,
		myChumby:ChumbySetup,
		tbname:String,
		tbwidth:Number, tbheight:Number):TextField {
		
		var fmt:TextFormat = new TextFormat(myChumby.csfont, 16, StaticHelpers.WHITE);
		fmt.leftMargin = 4;
		fmt.rightMargin = 4;
		fmt.size=16;
		mc.createTextField(tbname, mc.getNextHighestDepth(), 0, 0, tbwidth, tbheight);
		var newtf:TextField = mc[tbname];
		newtf.setNewTextFormat(fmt);
		newtf.embedFonts = true;
		newtf.wordWrap = true;
		newtf.multiline = true;
		newtf.selectable = true;
		newtf.borderColor = StaticHelpers.WHITE;
		newtf.border = false;
		return newtf;
	}
	function centeredField(mc:MovieClip,
		myChumby:ChumbySetup,
		tbname:String,
		tbtext:String):TextField {
		
		var fmt:TextFormat = new TextFormat(myChumby.csfont, 16, StaticHelpers.WHITE);
		fmt.leftMargin = 2;
		fmt.rightMargin = 2;
		fmt.align = 'center';
		// Obtain metrics information for the text string
		// with the specified formatting.
		var metrics:Object = fmt.getTextExtent(tbtext);
		// Create a text field just large enough to display the text.
		mc.createTextField(tbname, mc.getNextHighestDepth(),
			0,0,metrics.textFieldWidth+4,metrics.textFieldHeight);
		var newtf:TextField = mc[tbname];
		newtf.setNewTextFormat(fmt);
		newtf.embedFonts = true;
		newtf.wordWrap = false;
		newtf.multiline = false;
		newtf.selectable = false;
		newtf.borderColor = StaticHelpers.WHITE;
		newtf.border = true;
		newtf.text = tbtext;
		return newtf;
	}
}