<?php
/* Chumby2MDP - Interface.
  GNU/GPL - nick at vrtisworks dot com
  version 0.1 - 2008
*/
header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past

include_once('config.inc.php');     // Including configuration
include_once('mpd.class.php');      // And MPD Class
include_once('functions.inc.php');

//We need an array to collect all the responses in so that we can POST them back.
$responses=array();

// Connecting to MPD Server
$mpd = new mpd($cfg['mpdhost'],$cfg['mpdport'],$cfg['mpdpassword']);

// If connection fails, tell it and we are done...
if(!$mpd->connected) {
    $responses['error']=$mpd->errStr;
    send_responses($responses);
    exit;
}
// Some actions to do
if(array_key_exists("action",$_GET)) {
    switch($_GET['action']) {
        case "play":
            if(is_null($mpd->Play())) $responses['error']=$mpd->errStr;
            break;
        case "stop":
            if(is_null($mpd->Stop())) $responses['error']=$mpd->errStr;
            break;
        case "pause":
            if(is_null($mpd->Pause())) $responses['error']=$mpd->errStr;
            break;
        case "next":
            if(is_null($mpd->Next())) $responses['error']=$mpd->errStr;
            break;
        case "previous":
            if(is_null($mpd->Previous())) $responses['error']=$mpd->errStr;
            break;
        case "seekto":
            $t = explode(" ",urldecode($_GET['value']));
            if(is_null($mpd->SeekTo($t[1],$t[0]))) $responses['error']=$mpd->errStr;
            break;
        case "shuffle":
            if(is_null($mpd->PLShuffle())) $responses['error']=$mpd->errStr;
            break;
        case "clear":
            if(is_null($mpd->PLClear())) $responses['error']=$mpd->errStr;
            break;
        case "repeat":
            if(is_null($mpd->SetRepeat($_GET['value']))) $responses['error']=$mpd->errStr;
            break;
        case "random":
            if(is_null($mpd->SetRandom($_GET['value']))) $responses['error']=$mpd->errStr;
            break;
        case "crossfade":
            if(is_null($mpd->SetCrossfade($_GET['value']))) $responses['error']=$mpd->errStr;
            break;
        case "volume":
            if(is_null($mpd->SetVolume($_GET['value']))) $responses['error']=$mpd->errStr;
            break;
        case "remove":
            if(is_null($mpd->PLRemove($_GET['value']))) $responses['error']=$mpd->errStr;
            break;
        case "save":
            if(is_null($mpd->PLSave($_GET['value']))) $responses['error']=$mpd->errStr;
            break;
        case "update":
            if(is_null($mpd->DBRefresh())) $responses['error']=$mpd->errStr;
            break;
    }
}
switch($mpd->state) {
    case MPD_STATE_PLAYING:
        $responses['state']='Playing';
        break;
    case MPD_STATE_PAUSED:
        $responses['state']='Paused';
        break;
    case MPD_STATE_STOPPED:
        $responses['state']='Stopped';
        break;
    default:
        $responses['state']='Unknown';
        break;
}

if($mpd->state == MPD_STATE_PLAYING || $mpd->state == MPD_STATE_PAUSED) {
    $id = $mpd->current_track_id;
    $bid=$id-2;
    if ($bid<0) {
        $bid=0;
    }
    $eid=$bid+$cfg["songlist_length"];
    if ($eid>$mpd->playlist_count) {
        $eid=$mpd->playlist_count;
    }
    for ($i=$bid; $i<$eid; $i++) {
        if ($i==$id) {
            $responses['song'.($i-$bid)]='->'.GetSongTitle($mpd->playlist[$i],$cfg['song_display']);
        } else {
            $responses['song'.($i-$bid)]=GetSongTitle($mpd->playlist[$i],$cfg['song_display']);
        }
    }
} else {
    for ($i=0;$i<$cfg["songlist_length"];$i++) {
        $responses['song'.$i]=' ';
    }
}
send_responses($responses);
$mpd->Disconnect();

?>